XMLReader::readInnerXML
XMLReader::readString
XMLReader
PHP Manual

# XMLReader::readOuterXML

(PHP 5 >= 5.2.0)

XMLReader::readOuterXML — Retrieve XML from current node, including it self

### Description

public string XMLReader::readOuterXML ( void )

Reads the contents of the current node, including the node itself.

### Parameters

This function has no parameters.

### Return Values

Returns the contents of current node, including itself, as a string. Empty string on failure.

### Notes

Caution

This function is only available when PHP is compiled against libxml 20620 or later.

### See Also

- XMLReader::readString() - Reads the contents of the current node as a string
- XMLReader::readInnerXML() - Retrieve XML from current node
- XMLReader::expand() - Returns a copy of the current node as a DOM object

XMLReader::readInnerXML
XMLReader::readString
XMLReader
PHP Manual